Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002030Gnome Inform application[IDEs] Installation and Platform Issuespublic2017-09-28 22:082017-10-04 03:56
Reporterneroden 
Assigned To 
PriorityurgentSeveritycriticalReproducibilityalways
StatusclosedResolutionduplicate 
Platformx86OSLinuxOS VersionAny
Product Version 
Target VersionFixed in Version 
Summary0002030: NI segfaults on every invocation
DescriptionAfter a recent Debian Linux update, NI segfaults on *every* invocation, making Inform 7 completely unusable.

I can't even fix it myself because NI is still, for incomprehensible reasons, closed-source.


uname -a report:

Linux doctormoo 4.12.0-2-amd64 #1 SMP Debian 4.12.13-1 (2017-09-19) x86_64 GNU/Linux
Minimal Source Text To Reproduce
Just invoke ni, by any means whatsoever.
Additional InformationCould have been a library update -- but that shouldn't have affected a static linked binary if it was built properly.

More likely ni is incompatible with recent kernels; this worked under 4.9. I will revert the kernel (requiring a reboot) and see if it fixes the problem or whether it's a library incompatibilty. I don't know how to track down a library incompatbility.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0002025confirmed Core Inform ni crashes trying to get time of day on latest Linux kernels 

-  Notes
(0004722)
neroden (reporter)
2017-09-28 22:20

Verified. Works on Linux 4.9, breaks on Linux 4.12.

This needs to be fixed in NI basically immediately.
(0004724)
neroden (reporter)
2017-09-28 22:32
edited on: 2017-09-28 22:32

Upon further research this is likely to be a duplicate of http://inform7.com/mantis/view.php?id=2025, [^] which has been festering ignored for a month and a half despite only requiring a recompile.

This would be much easier if NI were distributed in source form, even if it wasn't under an open source license (an open source license would be better of course).


- Issue History
Date Modified Username Field Change
2017-09-28 22:08 neroden New Issue
2017-09-28 22:20 neroden Note Added: 0004722
2017-09-28 22:32 neroden Note Added: 0004724
2017-09-28 22:32 neroden Note Edited: 0004724 View Revisions
2017-09-29 11:47 zarf Relationship added duplicate of 0002025
2017-10-04 03:56 curiousdannii Status new => closed
2017-10-04 03:56 curiousdannii Resolution open => duplicate


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker